#include "uniquelist.h"

#include <stdio.h>
#include <stdlib.h>

/// Initialize a new uniquelist
void uniquelist_init(uniquelist_t* s) {
  // TODO: implement me
}

/// Destroy a uniquelist
void uniquelist_destroy(uniquelist_t* s) {
  // TODO: implement me
}

/// Add an element to a uniquelist, unless it's already in the uniquelist
void uniquelist_insert(uniquelist_t* s, int n) {
  // TODO: implement me
}

/// Print all the numbers in a uniquelist
void uniquelist_print_all(uniquelist_t* s) {
  // TODO: implement me
}
